#!/usr/bin/env perl

# Author: Johannes T. Roehr

use warnings;
use strict;

my $flexbarDir = "";

my $pwd = $ENV{PWD};

my $lastIdx = $#ARGV;
my $format  = $ARGV[$lastIdx];
my $folder  = $ARGV[$lastIdx - 1];
my $id      = $ARGV[$lastIdx - 2];
my $outFile = $ARGV[$lastIdx - 3];

my $call = join " ", @ARGV[0..($lastIdx - 4)];

system $flexbarDir . $call .' --target reads > '. $outFile;

foreach(<$pwd ."/reads"*>){
	
	if(/^\.\//){
		my $file = $pwd ."/". $_;
		
		s/^\.\///;
		my $fileType;
		
		$fileType = $1         if /\.(\w+)$/;
		$fileType = $format    if /\.\w+fast\w$/;
		$fileType = 'tabular'  if $fileType eq 'lengthdist';
		
		s/_//g;
		
		my $name = "primary_". $id ."_". $_ ."_visible_". $fileType;
		
		rename $file, $name;
		rename $name, $folder;
	}
}

